<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>XSSFConditionalFormattingRule (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="XSSFConditionalFormattingRule (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XSSFConditionalFormattingRule.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFConditionalFormatting.html"
               title="class in org.apache.poi.xssf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFConditionalFormattingThreshold.html"
               title="class in org.apache.poi.xssf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xssf/usermodel/XSSFConditionalFormattingRule.html"
               target="_top">Frames</a></li>
        <li><a href="XSSFConditionalFormattingRule.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.xssf.usermodel</div>
    <h2 title="Class XSSFConditionalFormattingRule" class="title">Class XSSFConditionalFormattingRule</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.xssf.usermodel.XSSFConditionalFormattingRule</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd><a href="../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingRule.html"
                           title="interface in org.apache.poi.ss.usermodel">ConditionalFormattingRule</a>, <a
                            href="../../../../../org/apache/poi/ss/usermodel/DifferentialStyleProvider.html"
                            title="interface in org.apache.poi.ss.usermodel">DifferentialStyleProvider</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public class <span class="typeNameLabel">XSSFConditionalFormattingRule</span>
extends java.lang.Object
implements <a href="../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingRule.html"
              title="interface in org.apache.poi.ss.usermodel">ConditionalFormattingRule</a></pre>
                <div class="block">XSSF support for Conditional Formatting rules</div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFBorderFormatting.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFBorderFormatting</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFConditionalFormattingRule.html#createBorderFormatting--">createBorderFormatting</a></span>()</code>
                                    <div class="block">Create a new border formatting structure if it does not exist,
                                        otherwise just return existing object.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFColorScaleFormatting.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFColorScaleFormatting</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFConditionalFormattingRule.html#createColorScaleFormatting--">createColorScaleFormatting</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFDataBarFormatting.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFDataBarFormatting</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFConditionalFormattingRule.html#createDataBarFormatting-org.apache.poi.xssf.usermodel.XSSFColor-">createDataBarFormatting</a></span>(<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFColor.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFColor</a>&nbsp;color)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFFontFormatting.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFFontFormatting</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFConditionalFormattingRule.html#createFontFormatting--">createFontFormatting</a></span>()</code>
                                    <div class="block">Create a new font formatting structure if it does not exist,
                                        otherwise just return existing object.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFIconMultiStateFormatting.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFIconMultiStateFormatting</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFConditionalFormattingRule.html#createMultiStateFormatting-org.apache.poi.ss.usermodel.IconMultiStateFormatting.IconSet-">createMultiStateFormatting</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/IconMultiStateFormatting.IconSet.html"
                                        title="enum in org.apache.poi.ss.usermodel">IconMultiStateFormatting.IconSet</a>&nbsp;iconSet)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFPatternFormatting.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFPatternFormatting</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFConditionalFormattingRule.html#createPatternFormatting--">createPatternFormatting</a></span>()</code>
                                    <div class="block">Create a new pattern formatting structure if it does not exist,
                                        otherwise just return existing object.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFBorderFormatting.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFBorderFormatting</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFConditionalFormattingRule.html#getBorderFormatting--">getBorderFormatting</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFColorScaleFormatting.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFColorScaleFormatting</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFConditionalFormattingRule.html#getColorScaleFormatting--">getColorScaleFormatting</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>byte</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFConditionalFormattingRule.html#getComparisonOperation--">getComparisonOperation</a></span>()</code>
                                    <div class="block">The comparison function used when the type of conditional
                                        formatting is set to
                                        <a href="../../../../../org/apache/poi/ss/usermodel/ConditionType.html#CELL_VALUE_IS"><code>ConditionType.CELL_VALUE_IS</code></a>
                                    </div>
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/ConditionFilterType.html"
                                        title="enum in org.apache.poi.ss.usermodel">ConditionFilterType</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFConditionalFormattingRule.html#getConditionFilterType--">getConditionFilterType</a></span>()</code>
                                    <div class="block">Will return null if <a
                                            href="../../../../../org/apache/poi/xssf/usermodel/XSSFConditionalFormattingRule.html#getConditionType--"><code>getConditionType()</code></a>
                                        !=
                                        <a href="../../../../../org/apache/poi/ss/usermodel/ConditionType.html#FILTER"><code>ConditionType.FILTER</code></a>
                                    </div>
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/ConditionType.html"
                                        title="class in org.apache.poi.ss.usermodel">ConditionType</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFConditionalFormattingRule.html#getConditionType--">getConditionType</a></span>()</code>
                                    <div class="block">Type of conditional formatting rule.</div>
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFDataBarFormatting.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFDataBarFormatting</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFConditionalFormattingRule.html#getDataBarFormatting--">getDataBarFormatting</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/ConditionFilterData.html"
                                        title="interface in org.apache.poi.ss.usermodel">ConditionFilterData</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFConditionalFormattingRule.html#getFilterConfiguration--">getFilterConfiguration</a></span>()</code>
                                    <div class="block">This is null if</div>
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFFontFormatting.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFFontFormatting</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFConditionalFormattingRule.html#getFontFormatting--">getFontFormatting</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i14" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFConditionalFormattingRule.html#getFormula1--">getFormula1</a></span>()</code>
                                    <div class="block">The formula used to evaluate the first operand for the
                                        conditional formatting rule.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i15" class="rowColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFConditionalFormattingRule.html#getFormula2--">getFormula2</a></span>()</code>
                                    <div class="block">The formula used to evaluate the second operand of the comparison
                                        when
                                        comparison type is <a
                                                href="../../../../../org/apache/poi/ss/usermodel/ConditionType.html#CELL_VALUE_IS"><code>ConditionType.CELL_VALUE_IS</code></a>
                                        and operator
                                        is either <a
                                                href="../../../../../org/apache/poi/ss/usermodel/ComparisonOperator.html#BETWEEN"><code>ComparisonOperator.BETWEEN</code></a>
                                        or
                                        <a href="../../../../../org/apache/poi/ss/usermodel/ComparisonOperator.html#NOT_BETWEEN"><code>ComparisonOperator.NOT_BETWEEN</code></a>
                                    </div>
                                </td>
                            </tr>
                            <tr id="i16" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFIconMultiStateFormatting.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFIconMultiStateFormatting</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFConditionalFormattingRule.html#getMultiStateFormatting--">getMultiStateFormatting</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i17" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/ExcelNumberFormat.html"
                                        title="class in org.apache.poi.ss.usermodel">ExcelNumberFormat</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFConditionalFormattingRule.html#getNumberFormat--">getNumberFormat</a></span>()</code>
                                    <div class="block">Return the number format from the dxf style record if present,
                                        null if not
                                    </div>
                                </td>
                            </tr>
                            <tr id="i18" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFPatternFormatting.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFPatternFormatting</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFConditionalFormattingRule.html#getPatternFormatting--">getPatternFormatting</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i19" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFConditionalFormattingRule.html#getPriority--">getPriority</a></span>()</code>
                                    <div class="block">The priority of the rule, if defined, otherwise 0.</div>
                                </td>
                            </tr>
                            <tr id="i20" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFConditionalFormattingRule.html#getStopIfTrue--">getStopIfTrue</a></span>()</code>
                                    <div class="block">Always true for HSSF rules, optional flag for XSSF rules.</div>
                                </td>
                            </tr>
                            <tr id="i21" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFConditionalFormattingRule.html#getStripeSize--">getStripeSize</a></span>()</code>
                                    <div class="block">Conditional format rules don't define stripes, so always 0</div>
                                </td>
                            </tr>
                            <tr id="i22" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFConditionalFormattingRule.html#getText--">getText</a></span>()</code>
                                    <div class="block">XSSF rules store textual condition values as an attribute and
                                        also as a formula that needs shifting.
                                    </div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getPriority--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getPriority</h4>
                                <pre>public&nbsp;int&nbsp;getPriority()</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingRule.html#getPriority--">ConditionalFormattingRule</a></code></span>
                                </div>
                                <div class="block">The priority of the rule, if defined, otherwise 0.
                                    <p>
                                        If priority is 0, just use definition order, as that's how older HSSF rules
                                        are evaluated.
                                    <p>
                                        For XSSF, this should always be set. For HSSF, only newer style rules
                                        have this set, older ones will return 0.
                                    <p>
                                        If a rule is created but not yet added to a sheet, this value may not be valid.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingRule.html#getPriority--">getPriority</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingRule.html"
                                                title="interface in org.apache.poi.ss.usermodel">ConditionalFormattingRule</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>rule priority</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getStopIfTrue--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getStopIfTrue</h4>
                                <pre>public&nbsp;boolean&nbsp;getStopIfTrue()</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingRule.html#getStopIfTrue--">ConditionalFormattingRule</a></code></span>
                                </div>
                                <div class="block">Always true for HSSF rules, optional flag for XSSF rules.
                                    See Excel help for more.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingRule.html#getStopIfTrue--">getStopIfTrue</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingRule.html"
                                                title="interface in org.apache.poi.ss.usermodel">ConditionalFormattingRule</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>true if conditional formatting rule processing stops when this one is true,
                                        false if not
                                    </dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="https://support.office.com/en-us/article/Manage-conditional-formatting-rule-precedence-063cde21-516e-45ca-83f5-8e8126076249">Microsoft
                                            Excel help</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="createBorderFormatting--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createBorderFormatting</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFBorderFormatting.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFBorderFormatting</a>&nbsp;createBorderFormatting()</pre>
                                <div class="block">Create a new border formatting structure if it does not exist,
                                    otherwise just return existing object.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingRule.html#createBorderFormatting--">createBorderFormatting</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingRule.html"
                                                title="interface in org.apache.poi.ss.usermodel">ConditionalFormattingRule</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>- border formatting object, never returns <code>null</code>.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getBorderFormatting--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getBorderFormatting</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFBorderFormatting.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFBorderFormatting</a>&nbsp;getBorderFormatting()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingRule.html#getBorderFormatting--">getBorderFormatting</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingRule.html"
                                                title="interface in org.apache.poi.ss.usermodel">ConditionalFormattingRule</a></code>
                                    </dd>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/DifferentialStyleProvider.html#getBorderFormatting--">getBorderFormatting</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/DifferentialStyleProvider.html"
                                                title="interface in org.apache.poi.ss.usermodel">DifferentialStyleProvider</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>- border formatting object if defined, <code>null</code> otherwise</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="createFontFormatting--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createFontFormatting</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFFontFormatting.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFFontFormatting</a>&nbsp;createFontFormatting()</pre>
                                <div class="block">Create a new font formatting structure if it does not exist,
                                    otherwise just return existing object.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingRule.html#createFontFormatting--">createFontFormatting</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingRule.html"
                                                title="interface in org.apache.poi.ss.usermodel">ConditionalFormattingRule</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>- font formatting object, never returns <code>null</code>.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getFontFormatting--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFontFormatting</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFFontFormatting.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFFontFormatting</a>&nbsp;getFontFormatting()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingRule.html#getFontFormatting--">getFontFormatting</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingRule.html"
                                                title="interface in org.apache.poi.ss.usermodel">ConditionalFormattingRule</a></code>
                                    </dd>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/DifferentialStyleProvider.html#getFontFormatting--">getFontFormatting</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/DifferentialStyleProvider.html"
                                                title="interface in org.apache.poi.ss.usermodel">DifferentialStyleProvider</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>- font formatting object if defined, <code>null</code> otherwise</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="createPatternFormatting--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createPatternFormatting</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFPatternFormatting.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFPatternFormatting</a>&nbsp;createPatternFormatting()</pre>
                                <div class="block">Create a new pattern formatting structure if it does not exist,
                                    otherwise just return existing object.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingRule.html#createPatternFormatting--">createPatternFormatting</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingRule.html"
                                                title="interface in org.apache.poi.ss.usermodel">ConditionalFormattingRule</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>- pattern formatting object, never returns <code>null</code>.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getPatternFormatting--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getPatternFormatting</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFPatternFormatting.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFPatternFormatting</a>&nbsp;getPatternFormatting()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingRule.html#getPatternFormatting--">getPatternFormatting</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingRule.html"
                                                title="interface in org.apache.poi.ss.usermodel">ConditionalFormattingRule</a></code>
                                    </dd>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/DifferentialStyleProvider.html#getPatternFormatting--">getPatternFormatting</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/DifferentialStyleProvider.html"
                                                title="interface in org.apache.poi.ss.usermodel">DifferentialStyleProvider</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>- pattern formatting object if defined, <code>null</code> otherwise</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="createDataBarFormatting-org.apache.poi.xssf.usermodel.XSSFColor-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createDataBarFormatting</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFDataBarFormatting.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFDataBarFormatting</a>&nbsp;createDataBarFormatting(<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFColor.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFColor</a>&nbsp;color)</pre>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>color</code> -</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>data bar formatting</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getDataBarFormatting--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getDataBarFormatting</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFDataBarFormatting.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFDataBarFormatting</a>&nbsp;getDataBarFormatting()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingRule.html#getDataBarFormatting--">getDataBarFormatting</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingRule.html"
                                                title="interface in org.apache.poi.ss.usermodel">ConditionalFormattingRule</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>- databar / data-bar formatting object if defined, <code>null</code> otherwise
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="createMultiStateFormatting-org.apache.poi.ss.usermodel.IconMultiStateFormatting.IconSet-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createMultiStateFormatting</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFIconMultiStateFormatting.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFIconMultiStateFormatting</a>&nbsp;createMultiStateFormatting(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/IconMultiStateFormatting.IconSet.html"
                                        title="enum in org.apache.poi.ss.usermodel">IconMultiStateFormatting.IconSet</a>&nbsp;iconSet)</pre>
                            </li>
                        </ul>
                        <a name="getMultiStateFormatting--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getMultiStateFormatting</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFIconMultiStateFormatting.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFIconMultiStateFormatting</a>&nbsp;getMultiStateFormatting()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingRule.html#getMultiStateFormatting--">getMultiStateFormatting</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingRule.html"
                                                title="interface in org.apache.poi.ss.usermodel">ConditionalFormattingRule</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>- icon / multi-state formatting object if defined, <code>null</code> otherwise
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="createColorScaleFormatting--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createColorScaleFormatting</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFColorScaleFormatting.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFColorScaleFormatting</a>&nbsp;createColorScaleFormatting()</pre>
                            </li>
                        </ul>
                        <a name="getColorScaleFormatting--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getColorScaleFormatting</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFColorScaleFormatting.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFColorScaleFormatting</a>&nbsp;getColorScaleFormatting()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingRule.html#getColorScaleFormatting--">getColorScaleFormatting</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingRule.html"
                                                title="interface in org.apache.poi.ss.usermodel">ConditionalFormattingRule</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>color scale / color grate formatting object if defined, <code>null</code>
                                        otherwise
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getNumberFormat--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getNumberFormat</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/usermodel/ExcelNumberFormat.html"
                                        title="class in org.apache.poi.ss.usermodel">ExcelNumberFormat</a>&nbsp;getNumberFormat()</pre>
                                <div class="block">Return the number format from the dxf style record if present, null
                                    if not
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingRule.html#getNumberFormat--">getNumberFormat</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingRule.html"
                                                title="interface in org.apache.poi.ss.usermodel">ConditionalFormattingRule</a></code>
                                    </dd>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/DifferentialStyleProvider.html#getNumberFormat--">getNumberFormat</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/DifferentialStyleProvider.html"
                                                title="interface in org.apache.poi.ss.usermodel">DifferentialStyleProvider</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>number format defined for this rule, or null if the cell default should be
                                        used
                                    </dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingRule.html#getNumberFormat--"><code>ConditionalFormattingRule.getNumberFormat()</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getConditionType--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getConditionType</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/ss/usermodel/ConditionType.html"
                                                    title="class in org.apache.poi.ss.usermodel">ConditionType</a>&nbsp;getConditionType()</pre>
                                <div class="block">Type of conditional formatting rule.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingRule.html#getConditionType--">getConditionType</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingRule.html"
                                                title="interface in org.apache.poi.ss.usermodel">ConditionalFormattingRule</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the type of condition</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getConditionFilterType--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getConditionFilterType</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/usermodel/ConditionFilterType.html"
                                        title="enum in org.apache.poi.ss.usermodel">ConditionFilterType</a>&nbsp;getConditionFilterType()</pre>
                                <div class="block">Will return null if <a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFConditionalFormattingRule.html#getConditionType--"><code>getConditionType()</code></a>
                                    !=
                                    <a href="../../../../../org/apache/poi/ss/usermodel/ConditionType.html#FILTER"><code>ConditionType.FILTER</code></a>
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingRule.html#getConditionFilterType--">getConditionFilterType</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingRule.html"
                                                title="interface in org.apache.poi.ss.usermodel">ConditionalFormattingRule</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>filter type for filter rules, or null if not a filter rule.</dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingRule.html#getConditionFilterType--"><code>ConditionalFormattingRule.getConditionFilterType()</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getFilterConfiguration--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFilterConfiguration</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/usermodel/ConditionFilterData.html"
                                        title="interface in org.apache.poi.ss.usermodel">ConditionFilterData</a>&nbsp;getFilterConfiguration()</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingRule.html#getFilterConfiguration--">ConditionalFormattingRule</a></code></span>
                                </div>
                                <div class="block">This is null if
                                    <p>
                                        <code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingRule.html#getConditionFilterType--"><code>ConditionalFormattingRule.getConditionFilterType()</code></a>
                                            == null</code>
                                    <p>
                                        This means it is always null for HSSF, which does not define the extended
                                        condition types.
                                    <p>
                                        This object contains the additional configuration information for XSSF filter
                                        conditions.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingRule.html#getFilterConfiguration--">getFilterConfiguration</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingRule.html"
                                                title="interface in org.apache.poi.ss.usermodel">ConditionalFormattingRule</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the Filter Configuration Data, or null if there isn't any</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getComparisonOperation--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getComparisonOperation</h4>
                                <pre>public&nbsp;byte&nbsp;getComparisonOperation()</pre>
                                <div class="block">The comparison function used when the type of conditional formatting
                                    is set to
                                    <a href="../../../../../org/apache/poi/ss/usermodel/ConditionType.html#CELL_VALUE_IS"><code>ConditionType.CELL_VALUE_IS</code></a>
                                    <p>
                                        MUST be a constant from <a
                                            href="../../../../../org/apache/poi/ss/usermodel/ComparisonOperator.html"
                                            title="class in org.apache.poi.ss.usermodel"><code>ComparisonOperator</code></a>
                                    </p></div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingRule.html#getComparisonOperation--">getComparisonOperation</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingRule.html"
                                                title="interface in org.apache.poi.ss.usermodel">ConditionalFormattingRule</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the conditional format operator</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getFormula1--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFormula1</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getFormula1()</pre>
                                <div class="block">The formula used to evaluate the first operand for the conditional
                                    formatting rule.
                                    <p>
                                        If the condition type is <a
                                            href="../../../../../org/apache/poi/ss/usermodel/ConditionType.html#CELL_VALUE_IS"><code>ConditionType.CELL_VALUE_IS</code></a>,
                                        this field is the first operand of the comparison.
                                        If type is <a
                                            href="../../../../../org/apache/poi/ss/usermodel/ConditionType.html#FORMULA"><code>ConditionType.FORMULA</code></a>,
                                        this formula is used
                                        to determine if the conditional formatting is applied.
                                    </p>
                                    <p>
                                        If comparison type is <a
                                            href="../../../../../org/apache/poi/ss/usermodel/ConditionType.html#FORMULA"><code>ConditionType.FORMULA</code></a>
                                        the formula MUST be a Boolean function
                                    </p></div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingRule.html#getFormula1--">getFormula1</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingRule.html"
                                                title="interface in org.apache.poi.ss.usermodel">ConditionalFormattingRule</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the first formula</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getFormula2--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFormula2</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getFormula2()</pre>
                                <div class="block">The formula used to evaluate the second operand of the comparison
                                    when
                                    comparison type is <a
                                            href="../../../../../org/apache/poi/ss/usermodel/ConditionType.html#CELL_VALUE_IS"><code>ConditionType.CELL_VALUE_IS</code></a>
                                    and operator
                                    is either <a
                                            href="../../../../../org/apache/poi/ss/usermodel/ComparisonOperator.html#BETWEEN"><code>ComparisonOperator.BETWEEN</code></a>
                                    or
                                    <a href="../../../../../org/apache/poi/ss/usermodel/ComparisonOperator.html#NOT_BETWEEN"><code>ComparisonOperator.NOT_BETWEEN</code></a>
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingRule.html#getFormula2--">getFormula2</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingRule.html"
                                                title="interface in org.apache.poi.ss.usermodel">ConditionalFormattingRule</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the second formula</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getText--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getText</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getText()</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingRule.html#getText--">ConditionalFormattingRule</a></code></span>
                                </div>
                                <div class="block">XSSF rules store textual condition values as an attribute and also as
                                    a formula that needs shifting. Using the attribute is simpler/faster.
                                    HSSF rules don't have this and return null. We can fall back on the formula for
                                    those (AFAIK).
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingRule.html#getText--">getText</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingRule.html"
                                                title="interface in org.apache.poi.ss.usermodel">ConditionalFormattingRule</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>condition text if it exists, or null</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getStripeSize--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>getStripeSize</h4>
                                <pre>public&nbsp;int&nbsp;getStripeSize()</pre>
                                <div class="block">Conditional format rules don't define stripes, so always 0</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/DifferentialStyleProvider.html#getStripeSize--">getStripeSize</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/DifferentialStyleProvider.html"
                                                title="interface in org.apache.poi.ss.usermodel">DifferentialStyleProvider</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>number of rows/columns in a stripe for stripe styles, 0 for all others</dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../org/apache/poi/ss/usermodel/DifferentialStyleProvider.html#getStripeSize--"><code>DifferentialStyleProvider.getStripeSize()</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XSSFConditionalFormattingRule.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFConditionalFormatting.html"
               title="class in org.apache.poi.xssf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFConditionalFormattingThreshold.html"
               title="class in org.apache.poi.xssf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xssf/usermodel/XSSFConditionalFormattingRule.html"
               target="_top">Frames</a></li>
        <li><a href="XSSFConditionalFormattingRule.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
